scala.collection.jcl.Map
trait Projection

[source: `scala/collection/jcl/Map.scala`]

`` `trait` Projection[K, E]
  `extends` MutableIterableProjection[(K, E)]`with` Projection[K, E]`with` Map[K, E]

Direct Known Subclasses:
  Map.Lense, Map.Filter, SortedMap.Projection

Method Summary
`override def` | map [B](f : ((K, E)) => B) : Projection[B] non-strict
`override def` | projection : Projection[K, E] returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Methods inherited from Map
put (abstract), elements (abstract), clear, isEmpty, keySet, keys, valueSet, putAll, removeKey, has, get, update, +, +=, -, remove, -=, lense, filterKeys

Methods inherited from Map
+=, ++=, ++=, +, ++, ++, -=, --=, --=, -, --, --, getOrElseUpdate, transform, retain, <<, clone, +=, incl, excl

Methods inherited from Map
size (abstract), getOrElse, apply, contains, isDefinedAt, values, equals, hashCode, toString, default, mapElements

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from Projection
filter

Methods inherited from Projection
force, flatMap, takeWhile, append

Methods inherited from MutableIterable
removeAll, --, -, retain, retainAll, size0

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` projection : Projection[K, E]

  returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Map.projection

`override` `def` map[B](f : ((K, E)) => B) : Projection[B]

  non-strict